## org.codehaus.groovy.grails.web.converters.configuration
Class ChainedConverterConfiguration<C extends Converter>

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration<C>

All Implemented Interfaces:
  ConverterConfiguration<C>

    public class ChainedConverterConfiguration<C extends Converter>

extends Object
implements ConverterConfiguration<C>

An immutable ConverterConfiguration which chains the lookup calls for ObjectMarshallers for performance reasons

Since:
  1.1
Author:
  Siegfried Puchbauer

Nested Class Summary
`class` `ChainedConverterConfiguration.ChainedObjectMarshaller<C extends Converter>`

Constructor Summary
`ChainedConverterConfiguration(ConverterConfiguration<C> cfg)`

Method Summary
`Converter.CircularReferenceBehaviour` `getCircularReferenceBehaviour()` Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)
`String` `getEncoding()` Lookup the configured default Character encoding for the Converter
`ObjectMarshaller<C>` `getMarshaller(Object o)` Lookup the ObjectMarshaller with the highest priority that support to marshall the given object
`List<ObjectMarshaller<C>>` `getOrderedObjectMarshallers()` Retrieve the ordered list of ObjectMarshallers
`boolean` `isPrettyPrint()` Lookup method whether the converter should default to pretty printed output

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedConverterConfiguration

    public ChainedConverterConfiguration(ConverterConfiguration<C> cfg)

Method Detail

### getMarshaller

    public ObjectMarshaller<C> getMarshaller(Object o)

  Description copied from interface: `ConverterConfiguration`
  Lookup the ObjectMarshaller with the highest priority that support to marshall the given object

  Specified by:
    `getMarshaller` in interface `ConverterConfiguration<C extends Converter>`
  Parameters:
    `o` - the object which is about to be converted
  Returns:
    the ObjectMarshaller instance

### getEncoding

    public String getEncoding()

  Description copied from interface: `ConverterConfiguration`
  Lookup the configured default Character encoding for the Converter

  Specified by:
    `getEncoding` in interface `ConverterConfiguration<C extends Converter>`
  Returns:
    the Charset name

### getCircularReferenceBehaviour

    public Converter.CircularReferenceBehaviour getCircularReferenceBehaviour()

  Description copied from interface: `ConverterConfiguration`
  Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)

  Specified by:
    `getCircularReferenceBehaviour` in interface `ConverterConfiguration<C extends Converter>`
  Returns:
    an instance of CircularReferenceBehaviour
  See Also:
    `Converter.CircularReferenceBehaviour`

### isPrettyPrint

    public boolean isPrettyPrint()

  Description copied from interface: `ConverterConfiguration`
  Lookup method whether the converter should default to pretty printed output

  Specified by:
    `isPrettyPrint` in interface `ConverterConfiguration<C extends Converter>`
  Returns:
    a boolean

### getOrderedObjectMarshallers

    public List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

  Description copied from interface: `ConverterConfiguration`
  Retrieve the ordered list of ObjectMarshallers

  Specified by:
    `getOrderedObjectMarshallers` in interface `ConverterConfiguration<C extends Converter>`
  Returns:
    the List of ObjectMarshallers ordered by priority

Copyright (c) 2005-2009 The Grails project